Subject: ISI Being Extended 1 Year as RFC Editor

From: IETF Administrative Director <[email-masked]>
Date: Fri, 21 Mar 2008 04:52:24 -0700 (PDT)

The IAOC is pleased to announce that the Internet Society on its behalf
has signed a Letter of Intent with the University of Southern California
to conclude terms with the Information Sciences Institute to renew its
contract as RFC Editor.  Assuming terms can be reached, the contract
renewal would begin on January 1, 2009 and run for one year.

After briefing the IAB and obtaining their support for this direction, as
part of the IAB's RFC Editor oversight role, the IAOC has engaged in
further discussions with ISI in furtherance of the agreement. 

It is anticipated that the renewal agreement will be concluded by July. 

Ray Pelletier
IAD
_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf-announce